#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: monad-par
version: 0.3.4.8
id: monad-par-0.3.4.8-FKLsiCs28MtHxKv2oPuS4x
key: monad-par-0.3.4.8-FKLsiCs28MtHxKv2oPuS4x
license: BSD-3-Clause
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
author: Simon Marlow, Ryan Newton
stability: Experimental
homepage: https://github.com/simonmar/monad-par
synopsis: A library for parallel programming based on a monad
description:
    The '\''Par'\'' monad offers a simple API for parallel programming.  The
    library works for parallelising both pure and @IO@ computations,
    although only the pure version is deterministic.  The default
    implementation provides a work-stealing scheduler and supports
    forking tasks that are much lighter weight than IO-threads.
    .
    For complete documentation see "Control.Monad.Par".
    .
    Some examples of use can be found in the @examples/@ directory of
    the source package.
    .
    Other related packages:
    .
    * @abstract-par@ provides the type classes that abstract over different
    implementations of the @Par@ monad.
    .
    * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
    the @Par@ monad.
    .
    Changes in 0.3.4 relative to 0.3:
    .
    * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
    .
    * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
abi: c94076b89687dbb7c415e79cc6aafdd7
exposed: True
exposed-modules:
    Control.Monad.Par Control.Monad.Par.IO
    Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
    Control.Monad.Par.Scheds.Trace
    Control.Monad.Par.Scheds.TraceInternal
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
import-dirs: /usr/lib/ghc-8.4.2/site-local/monad-par-0.3.4.8
library-dirs: /usr/lib/ghc-8.4.2/site-local/monad-par-0.3.4.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/monad-par-0.3.4.8
hs-libraries: HSmonad-par-0.3.4.8-FKLsiCs28MtHxKv2oPuS4x
depends:
    base-4.11.1.0 abstract-par-0.3.3-Ie3MD7O3orK6ZR8i7FuBEv
    abstract-deque-0.3-LkeWHH7SS5Y83xRhK9EdFK
    monad-par-extras-0.3.3-9uJPRq6u2G7Dy6khFdWvSf deepseq-1.4.3.0
    array-0.5.2.0 mwc-random-0.13.6.0-2dWV9NF981KLsfJ2iPQJqH
    containers-0.5.11.0 parallel-3.2.1.1-7VRdiJcVWj8BvjtM2xssyE
    mtl-2.2.2
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             abstract-par-0.3.3-Ie3MD7O3orK6ZR8i7FuBEv=4415807f4ef2b9b52b1002fd0b05d416
             abstract-deque-0.3-LkeWHH7SS5Y83xRhK9EdFK=d5471558defd40b2efc88e8a6ac5a2bc
             monad-par-extras-0.3.3-9uJPRq6u2G7Dy6khFdWvSf=c8779cb8953b0797156d709e0049a8b2
             deepseq-1.4.3.0=521dff49867cc7581bb7066827d3f18e
             array-0.5.2.0=59560c027ff6ea5b7e467a38c579b575
             mwc-random-0.13.6.0-2dWV9NF981KLsfJ2iPQJqH=1b054f40a9cbba8026cb63c2f2919dda
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             parallel-3.2.1.1-7VRdiJcVWj8BvjtM2xssyE=5acc896b5484fd32116fb868fccee170
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
haddock-interfaces: /usr/share/doc/haskell-monad-par/html/monad-par.haddock
haddock-html: /usr/share/doc/haskell-monad-par/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

